# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xhotfix`](#dsc_xhotfix): The DSC xHotfix resource type. Automatically generated from version 2.8.0.0
* [`dsc_xmicrosoftupdate`](#dsc_xmicrosoftupdate): The DSC xMicrosoftUpdate resource type. Automatically generated from version 2.8.0.0
* [`dsc_xwindowsupdateagent`](#dsc_xwindowsupdateagent): The DSC xWindowsUpdateAgent resource type. Automatically generated from version 2.8.0.0

## Resource types

### <a name="dsc_xhotfix"></a>`dsc_xhotfix`

The DSC xHotfix resource type.
Automatically generated from version 2.8.0.0

#### Properties

The following properties are available in the `dsc_xhotfix` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the hotfix needs to be installed or uninstalled.

##### `dsc_id`

Data type: `String`

Specifies the Hotfix ID.

##### `dsc_log`

Data type: `Optional[String]`

Specifies the location of the log that contains information from the installation.

#### Parameters

The following parameters are available in the `dsc_xhotfix` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Specifies the credential to use to authenticate to a UNC share if the path is on a UNC share.

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

Specifies the path that contains the msu file for the hotfix installation.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xmicrosoftupdate"></a>`dsc_xmicrosoftupdate`

The DSC xMicrosoftUpdate resource type.
Automatically generated from version 2.8.0.0

#### Parameters

The following parameters are available in the `dsc_xmicrosoftupdate` type.

* [`dsc_ensure`](#dsc_ensure)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_ensure"></a>`dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

Indicates that the Microsoft Update is enabled or is disabled.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xwindowsupdateagent"></a>`dsc_xwindowsupdateagent`

The DSC xWindowsUpdateAgent resource type.
Automatically generated from version 2.8.0.0

#### Properties

The following properties are available in the `dsc_xwindowsupdateagent` type.

##### `dsc_automaticupdatesnotificationsetting`

Data type: `Optional[String]`

Automatic Updates Notification Setting

##### `dsc_category`

Data type: `Optional[Array[Enum['Security', 'Important', 'Optional']]]`

Indicates if the resource should ensure all Windows Updates are installed or if Automatic updates should be disabled.

##### `dsc_notifications`

Data type: `Optional[Enum['Disabled', 'ScheduledInstallation']]`

Indicates if Windows update agent should notify about updates, see:https://msdn.microsoft.com/en-us/library/windows/desktop/aa385806%28v=vs.85%29.aspx?f=255&MSPPError=-2147217396.

##### `dsc_rebootrequired`

Data type: `Optional[Boolean]`

Indicates if Wua Requires a reboot.  Only returned if UpdateNow is specified.

##### `dsc_source`

Data type: `Enum['WindowsUpdate', 'MicrosoftUpdate', 'WSUS']`

Indicates which source service Windows update agent should use.  Note: WSUS is not implemented in this resource.

##### `dsc_totalupdatesnotinstalled`

Data type: `Optional[Integer[0, 4294967295]]`

Count of updates not installed.  Only returned if UpdateNow is specified.

##### `dsc_updatenow`

Data type: `Optional[Boolean]`

Indicates if the resource should trigger an update during consistency.

#### Parameters

The following parameters are available in the `dsc_xwindowsupdateagent` type.

* [`dsc_issingleinstance`](#dsc_issingleinstance)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_issingleinstance"></a>`dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

